Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class ModifyEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.ModifyEvent

public final class ModifyEvent
extends TypedEvent

Instances of this class are sent as a result of text being modified.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

See Also:
  `ModifyListener`, Serialized Form

Field Summary
`static int` `MODIFY_TEXT`

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`ModifyEvent(Control source)` Constructs a new instance of this class.
`ModifyEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.

Method Summary
`static void` `addListener(Adaptable adaptable, ModifyListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(java.lang.Object listener)`
`static java.lang.Object[]` `getListeners(Adaptable adaptable)`
`protected java.lang.Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, ModifyListener listener)`

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MODIFY_TEXT

    public static final int MODIFY_TEXT

See Also:
  Constant Field Values

Constructor Detail

### ModifyEvent

    public ModifyEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information

### ModifyEvent

    public ModifyEvent(Control source)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(java.lang.Object listener)

  Overrides:
    `dispatchToObserver` in class `TypedEvent`

### getListenerType

    protected java.lang.Class getListenerType()

  Overrides:
    `getListenerType` in class `TypedEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `TypedEvent`

### addListener

    public static void addListener(Adaptable adaptable,
                                   ModifyListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      ModifyListener listener)

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### getListeners

    public static java.lang.Object[] getListeners(Adaptable adaptable)

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.